Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230664 - cannot create changelog entry for Make- and other files
Summary: cannot create changelog entry for Make- and other files
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-changelog
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 23:14 UTC by Christoph Höger
Modified: 2008-04-15 15:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-15 15:05:03 UTC


Attachments (Terms of Use)
Source code for 2.3.4 with changed extension strings (deleted)
2007-03-02 14:49 UTC, Christoph Höger
no flags Details

Description Christoph Höger 2007-03-01 23:14:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ben Konrath 2007-03-01 23:18:59 UTC
What version are you using?

Comment 2 Christoph Höger 2007-03-01 23:20:33 UTC
gnahh, my touchpad kills me...

sorry for the empty record above. Here is the summary:

The changelog plugin will not create a changelog entry for non C-editor files.

How to reproduce:
1. open a cdt project
2. open, for example, a .spec file
3. select edit/add changelog entry

Actual results:
nothing, sometimes a null pointer exception in the logs, depending on the
selected editor for changelogs

expected results:
a new changelog entry in Changelog

This happens under eclipse 3.2.2 with changelog 2.3.3-2

Comment 3 Christoph Höger 2007-03-02 14:49:06 UTC
Created attachment 149120 [details]
Source code for 2.3.4 with changed extension strings

this code seems to work

Comment 4 Ben Konrath 2007-03-02 15:09:59 UTC
Any chance you could supply a patch? That will allow us to easily see what has
changed.

Comment 5 Kyu Lee 2007-03-02 18:09:04 UTC
http://sourceware.org/eclipse/changelog/eclipse-changelog-src-2.3.4.zip

Is the official 2.3.4 source, and this version does support not-known
files(.spec, Make, etc).

Comment 6 Andrew Overholt 2007-03-02 18:11:30 UTC
(In reply to comment #5)
> http://sourceware.org/eclipse/changelog/eclipse-changelog-src-2.3.4.zip
> 
> Is the official 2.3.4 source, and this version does support not-known
> files(.spec, Make, etc).

Can you update to 2.3.4 in FC6?

Comment 7 Kyu Lee 2007-03-02 18:12:31 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > http://sourceware.org/eclipse/changelog/eclipse-changelog-src-2.3.4.zip
> > 
> > Is the official 2.3.4 source, and this version does support not-known
> > files(.spec, Make, etc).
> 
> Can you update to 2.3.4 in FC6?

Will do.


Comment 8 Red Hat Bugzilla 2007-09-11 04:05:57 UTC
User klee@redhat.com's account has been closed

Comment 9 Bug Zapper 2008-04-04 06:24:51 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 10 Andrew Overholt 2008-04-04 13:19:47 UTC
Christoph, is this fixed for you in F7, F8, or rawhide?

Comment 11 Christoph Höger 2008-04-15 15:05:03 UTC
If I remember correct, this issue was fixed upstream with eclipse 3.3 or so.


Comment 12 Andrew Overholt 2008-04-15 15:11:02 UTC
Just to be pedantically clear, this was fixed upstream in eclipse-changelog :)


Note You need to log in before you can comment on or make changes to this bug.